function average_ap = KNNClassification(img_fet, train_index, test_index, img_lab, C, train_num)    


train_fet = img_fet(train_index,:);
test_fet  = img_fet(test_index,:);

ap = zeros(C,1);       % average ap of the classification  

for c=1:C              % C rounds of  binary classification
 %% classification 
    
    knn_k = 1; 
    
    c_p_index = ((c-1)*train_num+1:c*train_num)'; 
    c_n_index = [(1:(c-1)*train_num)'; (c*train_num+1:length(train_index))'];
    
    [knn_dis_n, knn_index] = knn(test_fet', train_fet(c_n_index,:)', knn_k); 
    [knn_dis_p, knn_index] = knn(test_fet', train_fet(c_p_index,:)', knn_k); 
  
    prob_es = knn_dis_n./knn_dis_p;                        % larger means more confident to be positive
    prob_es = prob_es(:);
    
    label_c_gt = zeros(length(test_index),1) - 1; 
    label_c_gt(find(img_lab(test_index)==c)) = 1;
    ap(c) = ap(c) + MapCompt(label_c_gt, prob_es);
end 
   
average_ap = mean(ap,1); 
end