%average precision
%input:
%      label_gt: ground truth label, (n, 1) matrix, n is the number of images
%      prob_es: confidence map of being positive, matrix (n, 1), 
%      positive label should be 1, negative -1
function ap = MapCompt(label_gt, prob_es)


[img_num, class_num] = size(prob_es); 

ap = 0; 
pos_label = 1; 

index_pos = find(label_gt==pos_label);                                % find all true positives
[sorted_prob_pos, index] = sort(prob_es(index_pos), 'descend');
ap_cc = 0; 
for i=1:length(index_pos)                                             % over all images of class cc
    index_retrived = find(prob_es>=sorted_prob_pos(i));                % all retrieved image more confident than the ith positive 
    label_retrived = label_gt(index_retrived);
    ap_cc = ap_cc + sum(label_retrived == pos_label)/length(label_retrived); % current precision at this recall point 
end
ap = ap + ap_cc/length(index_pos);      
 
 end


