% all projection functions

function [Models] = ProjectFunction(fet_ep, r, n, T, nTrails, fet_mms)
 
    N = size(fet_ep, 1);                              % img number 
    
    Models = [];                                      % projection functions
    
    
    for t=1:T                                         % over T iterations
         
     sum_max = 0; 
     for j=1:nTrails                                  % skeleton    
        index_cand = randi(N, [r, 1]);
        dis_mul = pdist2(fet_mms(index_cand,:), fet_mms(index_cand,:), 'L1');  
        sum_cur = sum(dis_mul(:)); 

        if sum_cur>sum_max
            index_max = index_cand; 
            sum_max = sum_cur; 
        end   
     end
       
    [xx, timgIndex] = knn(fet_mms(index_max,:)', fet_mms(:, :)', n); 

    s = timgIndex(:);

    c = 1:r; 
    c = c(:)'; 
    c = repmat(c, [n,1]);
    c = c(:); 

    % projection functions
    LRC_model = train(sparse(c),sparse(double(fet_ep(s, :))),'-s 0 -c 15'); 
    Models{t} = LRC_model; 
 end
 
end 