function average_ap = SVMClassification(img_fet, train_index, test_index, img_lab, C)    


train_fet = img_fet(train_index,:);
test_fet  = img_fet(test_index,:);

ap = zeros(C,1);       % average ap of the classification  

for c=1:C              % C rounds of  binary classification
 %% classification 
    
    
    train_lab = zeros(length(train_index), 1) -1;     
    train_lab(find(img_lab(train_index)==c))  = 1;    % positive examples

    LRC_model = svmtrain(train_lab,double(train_fet), '-t 0  -c 15');
    [plabel, acc, prob_es] = svmpredict(ones(size(test_index,1),1),double(test_fet), LRC_model);  

    %% evaluation        
    label_c_gt = zeros(length(test_index),1) - 1; 
    label_c_gt(find(img_lab(test_index)==c)) = 1;
    ap(c) = ap(c) + MapCompt(label_c_gt, prob_es);
end 
   
average_ap = mean(ap,1); 
end